Bug 178555 - kmail cannot create folders on a dovecot IMAP server
kmail cannot create folders on a dovecot IMAP server
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-01-21 12:14 EST by Vlado Potisk
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-03 08:55:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vlado Potisk 2006-01-21 12:14:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
It is not possible to create a new email folder using the IMAP protocol on a dovecot powered server.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. right-click on an IMAP account and choose the "New subfolder" function
2. type in some folder name and click OK

Actual Results:  A long error message is displayed:
- - - - -
Error while creating a folder.
Could Not Create Folder
An attempt to create the requested folder failed.
- - - - -

Expected Results:  New email folder should have been created

Additional info:

I set the bug severity to high, because new users get only the inbox folder to handle all their mail.

This KDE bug report seems to describe the problem:
tcpdump -A port imap command shows that a dot is prepended to the folder name:
CREATE ".newfolder"
Comment 1 Ngo Than 2006-05-03 08:55:39 EDT
it's fixed in kdepim-3.5.2, which is available in the FC5 update. Thanks for
your report.

Note You need to log in before you can comment on or make changes to this bug.